/*
 * @(#)SimpleServlet.java	1.11 96/06/21
 * 
 * Copyright (c) 1995 Sun Microsystems, Inc.  All Rights reserved Permission to
 * use, copy, modify, and distribute this software and its documentation for
 * NON-COMMERCIAL purposes and without fee is hereby granted provided that
 * this copyright notice appears in all copies. Please refer to the file
 * copyright.html for further important copyright and licensing information.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
 * OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY
 * LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR
 * ITS DERIVATIVES.
 */

import java.io.*;
import java.servlet.*;
import sun.server.html.*;

/**
 * This is an example of a simple Servlet
 */
public class SimpleServlet extends Servlet { 

    public void service(ServletRequest req, ServletResponse res)
	throws Exception 
    {
        res.setContentType("text/html");
        res.writeHeaders();
        OutputStream out = res.getOutputStream();
        String title = "SimpleServlet Output";

	HtmlPage page = new HtmlPage(title);
	page.addTagPair("H1", title);
	page.addText("<P>This is output from SimpleServlet.");
	
	page.write(out);
	out.flush();
    }

    public String getServletInfo() {
        return "A simple servlet";
    }

}
